package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.LogisticsInfo;


/**
*  service接口类
*/
public interface LogisticsInfoService{

    List<LogisticsInfo> getLogisticsInfoList(LogisticsInfo record);

    List<LogisticsInfo> getLogisticsInfoByPage(Page page, LogisticsInfo record);

    LogisticsInfo getLogisticsInfoById(String id);

    LogisticsInfo getLogisticsInfo(LogisticsInfo record);

    boolean createLogisticsInfo(LogisticsInfo record);

    boolean deleteLogisticsInfo(String id);

    boolean updateLogisticsInfo(LogisticsInfo record);
}

